List VPC Networks
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/networks \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/networks"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network": [
{
"Id": "<string>",
"user": "<string>",
"name": "<string>",
"state": [
{
"state": "<string>",
"error": "<string>"
}
],
"segment": "<string>",
"clusterId": "<string>",
"Addresses": [
{
"Id": "<string>",
"Ip": "<string>"
}
],
"createTime": "<string>"
}
],
"total": "<string>"
}Network
List VPC Networks
GET
/
gpu-instance
/
openapi
/
v1
/
networks
List VPC Networks
Request Headers
string
必須
Enum:
application/jsonstring
必須
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
Number of items per page. Integer, value must be greater than or equal to 0.
integer
Page number to retrieve. Integer, value must be greater than or equal to 0.
string
Custom network name (supports fuzzy search). String, length limit: 0-255 characters.
string
Creator user ID. String, length limit: 0-255 characters.
Response
object[]
必須
VPC network information.
非表示 properties
非表示 properties
string
必須
VPC network ID.
string
必須
User account ID.
string
必須
VPC network name.
object[]
必須
string
必須
VPC network segment.
string
必須
Cluster ID.
object[]
必須
string
必須
VPC network creation time. Format: Unix timestamp.
string
必須
Total number of results.
最終更新日 2026年5月15日
⌘I